---
title: SEO
slug: Glossary/SEO
tags:
  - Glossary
  - Intro
  - SEO
  - Search
  - WebMechanic
---
**SEO** (Search Engine Optimization) is the process of making a website more visible in search results, also termed improving search rankings.

Search engines {{Glossary("Crawler", "crawl")}} the web, following links from page to page, and index the content found. When you search, the search engine displays the indexed content. Crawlers follow rules. If you follow those rules closely when doing SEO for a website, you give the site the best chances of showing up among the first results, increasing traffic and possibly revenue (for ecommerce and ads).

Search engines give some guidelines for SEO, but big search engines keep result ranking as a trade secret. SEO combines official search engine guidelines, empirical knowledge, and theoretical knowledge from science papers or patents.

SEO methods fall into three broad classes:

- technical
  - : Tag the content using semantic {{Glossary("HTML")}}. When exploring the website, crawlers should only find the content you want indexed.
- copywriting
  - : Write content using your visitors' vocabulary. Use text as well as images so that crawlers can understand the subject.
- popularity
  - : You get most traffic when other established sites link to your site.

## See also

- {{Interwiki("wikipedia", "SEO")}} on Wikipedia
- [Google Search Central](https://developers.google.com/search/docs)
