---
title: SRI
slug: Glossary/SRI
tags:
  - CSP
  - Security
---
**Subresource Integrity** (SRI) is a security feature that enables browsers to verify that files they fetch (for example, from a {{Glossary("CDN")}}) are delivered without unexpected manipulation. It works by allowing you to provide a cryptographic hash that a fetched file must match.

## See also

- [Subresource Integrity](/en-US/docs/Web/Security/Subresource_Integrity)
- {{HTTPHeader("Content-Security-Policy")}}: {{CSP("require-sri-for")}}
