---
title: Getting started on MDN
slug: MDN/Contribute/Getting_started
tags:
  - Documentation
  - Getting Started
  - Guide
  - MDN
  - MDN Project
  - New Contributors
---
{{MDNSidebar}}

We are an open community of developers building resources for a better Web, regardless of brand, browser, or platform. Anyone can contribute, and each person who does contribute makes us stronger. Together we can continue to drive innovation on the Web to serve the greater good. It starts here, with you.

Every part of MDN (docs, demos, and the site itself) is created by an open community of developers. Please, join us!

## 4 simple steps to MDN

MDN is an open source resource where **anyone** can add and edit content. You don't need to be a programmer or know a lot about technologies. There are plenty of things that need to be done, from the simple (proofreading and correcting typos) to the complex (writing API documentation).

Contributing is easy and safe. Even if you make a mistake, it's easily fixed. Even if you don't know exactly how things should look, or your grammar isn't all that good, don't worry about it! We have a team of people whose job it is to make sure that MDN's contents are as good as possible. Someone will be along to make sure your work is tidy and well-written. Share what you know and follow your strengths.

### Step 1: Create a GitHub account

To begin your contributions to MDN, you need to [create a GitHub account](https://github.com/mdn/content/#setup).

### Step 2: Pick a task to complete

Now that you are logged in, read the descriptions of the different task types available on the [main Contribute page](/en-US/docs/MDN/Contribute), and decide which one most appeals to you. You can pick any task you like and begin your contribution.

### Step 3: Do the task

Once you've decided what kind of task you want to do, find a specific page, code example, etc. to work on, and just do it!

### Step 4: Ask for help

If you are not sure what to do at any point, then you are more than welcome to ask for help. There are a few different help options:

- If you want to talk to us synchronously and ask questions about MDN itself, join the discussion on the [MDN Web Docs chat room](https://chat.mozilla.org/#/room/#mdn:mozilla.org) on [Matrix](https://wiki.mozilla.org/Matrix).
- You can also drop us an email at <mdn-admins@mozilla.org>.
- If you are learning web development and are stuck on a coding problem, we have [active forums](https://discourse.mozilla.org/c/mdn/learn/250) where you can ask questions and get help.

Don't worry about doing it perfectly; other MDN contributors are here to help fix errors that slip through.

## Useful complete beginner's guides

We expect contributors to MDN to have a certain amount of prerequisite knowledge
before they start working on the content. If you are new to the following
topics, we'd advise you to look at the provided links to help you get up to
speed:

- Web technologies: If you are new to HTML, CSS, JavaScript, etc., check out our [Learn web development](/en-US/docs/Learn) tutorials.
- Open source: If you've never contributed to an open source project before, have a read of [Basic etiquette for open source projects](/en-US/docs/MDN/Contribute/Open_source_etiquette).
- Git and GitHub: If you are unfamiliar with these tools, [GitHub for complete beginners](/en-US/docs/MDN/Contribute/GitHub_beginners) will get you started.
- MDN's repo structures: If you are not sure what repos to edit to make changes to the different parts of MDN's content, [Where is everything on MDN?](/en-US/docs/MDN/Contribute/Where_is_everything) will point you towards the correct places.
