---
title: How to add or update browser compatibility data
slug: MDN/Contribute/Howto/Add_or_update_browser_compatibility_data
tags:
  - Guide
  - Howto
  - MDN Meta
---
{{MDNSidebar}}

If you have information about browser compatibility of Web features — or are willing and able to do some research and/or experimentation — you can help update MDN's [Browser Compatibility Data](https://github.com/mdn/browser-compat-data/) (BCD).

## Where does it need to be done?

There are several ways that you can help improve browser compatibility information on MDN:

- Add data for web features not yet included in the BCD repository
- Update existing data with new information based on either changes to new versions of browsers, correcting mistakes in existing data, or updates to the features of a given technology
- Submit pull requests to address [BCD issues filed on Github](https://github.com/mdn/browser-compat-data/issues).

## What do you need to know to do the task?

- Familiarity with using Github
- Familiarity with using JSON
- Information about, or ability to test for, compatibility of web standards features in different browsers. You can also convert "old" compatibility table data into JSON.

## What are the steps to do the task?

For details on how to update the [JSON](/en-US/docs/Glossary/JSON) files that make up the BCD repository on Github, see our article on [compatibility tables](/en-US/docs/MDN/Structures/Compatibility_tables). For a list of issues that we're specifically looking for help with, look for [Github issues with the "Help Wanted" tag](https://github.com/mdn/browser-compat-data/issues?q=is%3Aissue+is%3Aopen+label%3A%22help+wanted%22).
