---
title: AnimationEvent.animationName
slug: Web/API/AnimationEvent/animationName
tags:
  - API
  - AnimationEvent
  - CSSOM
  - Property
  - Reference
  - Web Animations
browser-compat: api.AnimationEvent.animationName
---
{{APIRef("Web Animations API")}}

The **`AnimationEvent.animationName`** read-only property is a
{{domxref("DOMString")}} containing the value of the {{cssxref("animation-name")}} CSS
property associated with the transition.

## Syntax

```js
name = AnimationEvent.animationName
```

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- [Using CSS animations](/en-US/docs/Web/CSS/CSS_Animations/Using_CSS_animations)
- Animation-related CSS properties and at-rules: {{cssxref("animation")}},
  {{cssxref("animation-delay")}}, {{cssxref("animation-direction")}},
  {{cssxref("animation-duration")}}, {{cssxref("animation-fill-mode")}},
  {{cssxref("animation-iteration-count")}}, {{cssxref("animation-name")}},
  {{cssxref("animation-play-state")}}, {{cssxref("animation-timing-function")}},
  {{cssxref("@keyframes")}}.
- The {{domxref("AnimationEvent")}} interface it belongs to.
