---
title: CSSUnparsedValue.keys()
slug: Web/API/CSSUnparsedValue/keys
tags:
  - API
  - CSS Typed Object Model API
  - CSSUnparsedValue
  - Constructor
  - Experimental
  - Houdini
  - Method
  - NeedsExample
  - Reference
  - keys()
browser-compat: api.CSSUnparsedValue.keys
---
{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}

The **`CSSUnparsedValue.keys()`** method
returns a new _array iterator_ object that contains the keys
for each index in the array.

## Syntax

```js
CSSUnparsedValue.keys()
```

### Parameters

None.

### Return value

A new {{jsxref("Array")}}.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- {{domxref("CSSUnparsedValue.CSSUnparsedValue", "CSSUnparsedValue()")}}
- {{domxref("CSSUnparsedValue.entries")}}
- {{domxref("CSSUnparsedValue.forEach")}}
- {{domxref("CSSUnparsedValue.length")}}
- {{domxref("CSSUnparsedValue.values")}}
- [Using the CSS Typed OM](/en-US/docs/Web/API/CSS_Typed_OM_API/Guide)
- [CSS Typed Object Model API](/en-US/docs/Web/API/CSS_Typed_OM_API)
