---
title: 'Document: touchmove event'
slug: Web/API/Document/touchmove_event
tags:
  - API
  - DOM
  - Document
  - Event
  - Reference
  - Touch Events
  - TouchEvent
  - UI
  - UI Events
  - UX
  - touch
  - touchmove
browser-compat: api.Document.touchmove_event
---
{{APIRef}}

The `touchmove` event is fired when one or more touch points are moved along the touch surface.

<table class="properties">
  <tbody>
    <tr>
      <th scope="row">Bubbles</th>
      <td>Yes</td>
    </tr>
    <tr>
      <th scope="row">Cancelable</th>
      <td>Yes</td>
    </tr>
    <tr>
      <th scope="row">Interface</th>
      <td>{{domxref("TouchEvent")}}</td>
    </tr>
    <tr>
      <th scope="row">Event handler property</th>
      <td>
        {{ domxref("GlobalEventHandlers.ontouchmove","ontouchmove")}}
      </td>
    </tr>
  </tbody>
</table>

## Examples

Code samples for those events are available on the dedicated page: [Touch events](/en-US/docs/Web/API/Touch_events).

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- [Touch events](/en-US/docs/Web/API/Touch_events)
- {{domxref("Element/mousemove_event", "mousemove")}} and {{domxref("GlobalEventHandlers.onmousemove", "onmousemove")}}
- This event on {{domxref("Element")}} targets: {{domxref("Element/touchmove_event", "touchmove")}}
