---
title: FileSystem.name
slug: Web/API/FileSystem/name
tags:
  - API
  - File and Directory Entries API
  - Files
  - NeedsExample
  - Property
  - Reference
  - filesystem
  - name
browser-compat: api.FileSystem.name
---
{{APIRef("File and Directory Entries API")}}

The read-only **`name`** property of the
{{domxref("FileSystem")}} interface indicates the file system's name. This
{{domxref("USVString")}} is unique among all file systems currently exposed by the [File and Directory Entries
API](/en-US/docs/Web/API/File_and_Directory_Entries_API).

## Syntax

```js
var fsName = FileSystem.name;
```

### Value

A {{domxref("USVString")}} representing the file system's name.

## Example

```js
// tbd
```

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- [File and Directory
  Entries API](/en-US/docs/Web/API/File_and_Directory_Entries_API)
- [Introduction
  to the File System API](/en-US/docs/Web/API/File_and_Directory_Entries_API/Introduction)
- {{domxref("FileSystem")}}
