---
title: HTMLHRElement
slug: Web/API/HTMLHRElement
tags:
  - API
  - HTML DOM
  - Interface
  - NeedsNewLayout
  - Reference
browser-compat: api.HTMLHRElement
---
{{APIRef("HTML DOM")}}

The **`HTMLHRElement`** interface provides special properties (beyond those of the {{domxref("HTMLElement")}} interface it also has available to it by inheritance) for manipulating {{HTMLElement("hr")}} elements.

{{InheritanceDiagram}}

## Properties

_Inherits properties from its parent, {{domxref("HTMLElement")}}._

- {{domxref("HTMLHRElement.align")}} {{deprecated_inline}}
  - : Is a {{domxref("DOMString")}}, an enumerated attribute indicating alignment of the rule with respect to the surrounding context.
- {{domxref("HTMLHRElement.color")}} {{deprecated_inline}}
  - : Is a {{domxref("DOMString")}} representing the name of the color of the rule.
- {{domxref("HTMLHRElement.noshade")}} {{deprecated_inline}}
  - : Is a boolean value that sets the rule to have no shading.
- {{domxref("HTMLHRElement.size")}} {{deprecated_inline}}
  - : Is a {{domxref("DOMString")}} representing the height of the rule.
- {{domxref("HTMLHRElement.width")}} {{deprecated_inline}}
  - : Is a {{domxref("DOMString")}} representing the width of the rule on the page.

## Methods

_No specific method; inherits methods from its parent, {{domxref("HTMLElement")}}_.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- The HTML element implementing this interface: {{HTMLElement("hr")}}
