---
title: HTMLObjectElement.name
slug: Web/API/HTMLObjectElement/name
tags:
  - API
  - HTML DOM
  - HTMLObjectElement
  - NeedsExample
  - Property
  - Reference
  - name
browser-compat: api.HTMLObjectElement.name
---
{{APIRef("HTML DOM")}}

The **`name`** property of the
{{domxref("HTMLObjectElement")}} interface returns a {{domxref("DOMString")}} that
reflects the {{htmlattrxref("name", "object")}} HTML attribute, specifying the name of
the browsing context.

## Syntax

```js
var String = HTMLObjectElement.name;
HTMLObjectElement.name = String;
```

### Value

A {{domxref('DOMString')}}.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}
