---
title: HTMLParagraphElement
slug: Web/API/HTMLParagraphElement
tags:
  - API
  - HTML DOM
  - Interface
  - Reference
browser-compat: api.HTMLParagraphElement
---
{{ APIRef("HTML DOM") }}

The **`HTMLParagraphElement`** interface provides special properties (beyond those of the regular {{domxref("HTMLElement")}} object interface it inherits) for manipulating {{HTMLElement("p")}} elements.

{{InheritanceDiagram}}

## Properties

_Inherits properties from its parent, {{domxref("HTMLElement")}}._

- {{domxref("HTMLParagraphElement.align")}} {{deprecated_inline}}
  - : A {{domxref("DOMString")}} representing an enumerated property indicating alignment of the element's contents with respect to the surrounding context. The possible values are `"left"`, `"right"`, `"justify"`, and `"center"`.

## Methods

_No specific methods, inherits methods from its parent, {{domxref("HTMLElement")}}._

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- The HTML element implementing this interface: {{ HTMLElement("p") }}.
