---
title: 'MediaKeySession: message event'
slug: Web/API/MediaKeySession/message_event
tags:
  - message
  - API
  - Event
  - Reference
  - MediaKeySession
browser-compat: api.MediaKeySession.message_event
---
{{APIRef("Encrypted Media Extensions")}}

The **`message`** event of the
{{domxref("MediaKeySession")}} interface fires when a message is generated by the
content decryption module.

## Syntax

Use the event name in methods like {{domxref("EventTarget.addEventListener", "addEventListener()")}}, or set an event handler property.

```js
addEventListener('message', event => { });

onmessage = event => { };
```

## Event type

An {{domxref("MediaKeyMessageEvent")}}. Inherits from {{domxref("Event")}}.

{{InheritanceDiagram("MediaKeyMessageEvent")}}

## Event properties

{{page("/en-US/docs/Web/API/MediaKeyMessageEvent", "Properties")}}

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}
