---
title: NavigatorUAData.mobile
slug: Web/API/NavigatorUAData/mobile
tags:
  - API
  - Property
  - Reference
  - mobile
  - NavigatorUAData
browser-compat: api.NavigatorUAData.mobile
---
{{DefaultAPISidebar("")}}

The **`mobile`** read-only property of the {{domxref("NavigatorUAData")}} interface returns a value indicating whether the device is a mobile device.

## Syntax

```js
let mobile = NavigatorUAData.mobile;
```

### Value

A {{jsxref("Boolean")}}, `true` if this is a mobile device.

## Examples

The following example prints the value of `mobile` to the console.

```js
console.log(navigator.userAgentData.mobile);
```

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}
