---
title: PerformanceNavigation.redirectCount
slug: Web/API/PerformanceNavigation/redirectCount
tags:
  - API
  - Backwards compatibility
  - Deprecated
  - HTML
  - Navigation Timing
  - PerformanceNavigation
  - Property
  - Read-only
  - legacy
browser-compat: api.PerformanceNavigation.redirectCount
---
{{APIRef("Navigation Timing")}}{{Deprecated_Header}}

The legacy
**`PerformanceNavigation.redirectCount`**
read-only property returns an `unsigned short` representing the number of
REDIRECTs done before reaching the page.

> **Warning:** This interface of this property is deprecated in the [Navigation Timing Level 2 specification](https://w3c.github.io/navigation-timing/#obsolete).
> Please use the {{domxref("PerformanceNavigationTiming")}} interface instead.

## Syntax

```js
amount = performanceNavigation.redirectCount;
```

## Specifications

This feature is no longer on track to become a standard, as the [Navigation Timing specification](https://w3c.github.io/navigation-timing/#obsolete) has marked it as deprecated.
Use the {{domxref("PerformanceNavigationTiming")}} interface instead.

## Browser compatibility

{{Compat}}

## See also

- The {{domxref("PerformanceNavigation")}} interface it belongs to.
