---
title: PushManager.permissionState()
slug: Web/API/PushManager/permissionState
tags:
  - API
  - Experimental
  - Method
  - PushManager
  - Reference
  - Service Workers
  - permissionState
browser-compat: api.PushManager.permissionState
---
{{SeeCompatTable}}{{ApiRef("Push API")}}

The **`permissionState()`** method of the
{{domxref("PushManager")}} interface returns a {{jsxref("Promise")}} that resolves to a
{{domxref("DOMString")}} indicating the permission state of the push manager. Possible
values are  `'prompt'`, `'denied'`, or `'granted'`.

> **Note:** As of Firefox 44, the permissions for [Notifications](/en-US/docs/Web/API/Notifications_API) and [Push](/en-US/docs/Web/API/Push_API) have been merged. If permission is
> granted for notifications, push will also be enabled.

## Syntax

```js
PushManager.permissionState(options).then(function(PushMessagingState) { /* ... */ });
```

### Parameters

- `options {{optional_inline}}`

  - : An object containing optional configuration parameters. It can have the following
    properties:

    - `userVisibleOnly`: A boolean indicating that the returned push
      subscription will only be used for messages whose effect is made visible to the
      user.
    - `applicationServerKey`: A public key your push server will use to
      send messages to client apps via a push server. This value is part of a signing
      key pair generated by your application server and usable with elliptic curve
      digital signature (ECDSA) over the P-256 curve.

### Returns

A {{jsxref("Promise")}} that resolves to a {{domxref("DOMString")}} with a value of
`'prompt'`, `'denied'`, or `'granted'`.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}
