---
title: StaticRange.endOffset
slug: Web/API/StaticRange/endOffset
tags:
  - API
  - DOM
  - DOM API
  - Property
  - Read-only
  - Reference
  - Static Range API
  - StaticRange
  - endOffset
  - offset
  - startContainer
browser-compat: api.StaticRange.endOffset
---
{{APIRef("DOM")}}

The **`endOffset`** property of the {{domxref("StaticRange")}}
interface returns the offset into the end node of the range's end position.

## Syntax

```js
var endOffset = staticRange.endOffset
```

### Value

An integer value indicating the number of characters into the {{domxref("Node")}}
indicated by {{domxref("StaticRange.endContainer", "endContainer")}} at which the final
character of the range is located.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}
