---
title: StaticRange.startOffset
slug: Web/API/StaticRange/startOffset
tags:
  - API
  - DOM
  - DOM API
  - Property
  - Read-only
  - Reference
  - Static Range API
  - StaticRange
  - startContainer
browser-compat: api.StaticRange.startOffset
---
{{APIRef("DOM")}}

The read-only **`startOffset`**
property of the {{domxref("StaticRange")}} interface returns the offset into the start
node of the range's start position.

## Syntax

```js
var startOffset = staticRange.startOffset
```

### Value

An integer value indicating the number of characters into the {{domxref("Node")}}
indicated by {{domxref("StaticRange.startContainer", "startContainer")}} at which the
first character of the range is located.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}
