---
title: XRViewport.height
slug: Web/API/XRViewport/height
tags:
  - API
  - AR
  - Property
  - Read-only
  - Reality
  - Reference
  - VR
  - Virtual
  - WebXR
  - WebXR API
  - WebXR Device API
  - XR
  - XRViewport
  - augmented
  - height
  - size
  - viewport
browser-compat: api.XRViewport.height
---
{{APIRef("WebXR Device API")}}

The read-only {{domxref("XRViewport")}} property
**`height`** specifies the height, in pixels, of the viewport
onto the drawing surface within which the WebXR view is to be rendered. Along
with {{domxref("XRViewport.width", "width")}} and the origin point given by
{{domxref("XRViewport.x", "x")}} and {{domxref("XRViewport.y", "y")}}, this defines the
area within which rendered content will be drawn.

## Value

The viewport's height in pixels.

## Examples

See the main {{domxref("XRViewport")}} page for examples.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}
