---
title: '-webkit-tap-highlight-color'
slug: Web/CSS/-webkit-tap-highlight-color
tags:
  - CSS
  - CSS Property
  - NeedsCompatTable
  - NeedsExample
  - Non-standard
  - Reference
  - WebKit
  - recipe:css-property
browser-compat: css.properties.-webkit-tap-highlight-color
---
{{ CSSRef() }}

{{ Non-standard_header() }}

**`-webkit-tap-highlight-color`** is a non-standard CSS property that sets the color of the highlight that appears over a link while it's being tapped. The highlighting indicates to the user that their tap is being successfully recognized, and indicates which element they're tapping on.

```css
-webkit-tap-highlight-color: red;
-webkit-tap-highlight-color: transparent; /* for removing the highlight */
```

## Syntax

### Values

A {{Cssxref("&lt;color&gt;")}}.

## Formal definition

{{CSSInfo}}

## Formal syntax

{{csssyntax}}

## Specifications

Not part of any standard. Apple has [a description in the Safari Web Content Guide](https://developer.apple.com/library/mac/documentation/AppleApplications/Reference/SafariWebContent/AdjustingtheTextSize/AdjustingtheTextSize.html#//apple_ref/doc/uid/TP40006510-SW5).

## Browser compatibility

{{Compat}}

## See also

- [WebKit CSS extensions](/en-US/docs/Web/CSS/WebKit_Extensions)
- Related CSS pseudo-classes:

  - [`:hover`](/en-US/docs/Web/CSS/:hover)
  - [`:active`](/en-US/docs/Web/CSS/:active)
  - [`:visited`](/en-US/docs/Web/CSS/:visited)
