---
title: contain-intrinsic-size
slug: Web/CSS/contain-intrinsic-size
browser-compat: css.properties.contain-intrinsic-size
---
{{CSSRef}}

The **`contain-intrinsic-size`** [CSS](/en-US/docs/Web/CSS) property controls the natural size of an element specified by [`content-visibility`](/en-US/docs/Web/CSS/content-visibility).

## Syntax

```css
/* <length> values */
contain-intrinsic-size: 1000px;
contain-intrinsic-size: 10rem;

/* <percentage> value */
contain-intrinsic-size: 10%;

/* Global values */
contain-intrinsic-size: inherit;
contain-intrinsic-size: initial;
contain-intrinsic-size: revert;
contain-intrinsic-size: unset;
```

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- [content-visibility: the new CSS property that boosts your rendering performance](https://web.dev/content-visibility/) (web.dev)
