---
title: CSS Transitions
slug: Web/CSS/CSS_Transitions
tags:
  - CSS
  - CSS Transitions
  - Guide
  - Overview
  - Reference
spec-urls: https://drafts.csswg.org/css-transitions/
---
{{CSSRef}}

**CSS Transitions** is a module of CSS that lets you create gradual transitions between the values of specific CSS properties. The behavior of these transitions can be controlled by specifying their timing function, duration, and other attributes.

## Reference

### Properties

- {{cssxref("transition")}}
- {{cssxref("transition-delay")}}
- {{cssxref("transition-duration")}}
- {{cssxref("transition-property")}}
- {{cssxref("transition-timing-function")}}

## Guides

- [Using CSS transitions](/en-US/docs/Web/Guide/CSS/Using_CSS_transitions)
  - : Step-by-step tutorial about how to create transitions using CSS. This article describes each relevant CSS property and explains how they interact with each other.

## Specifications

{{Specifications}}

## See also

- Related to CSS Transitions, [CSS Animations](/en-US/docs/Web/CSS/CSS_Animations) provide finer control over animated properties.
