---
title: Microsoft CSS extensions
slug: Web/CSS/Microsoft_Extensions
tags:
  - CSS
  - CSS:Microsoft Extensions
  - Guide
  - Non-standard
  - Overview
  - Reference
---
{{CSSRef}}

Microsoft applications such as Edge and Internet Explorer support a number of special **Microsoft extensions to [CSS](/en-US/docs/Web/CSS)**. These extensions are prefixed with `-ms-`.

## Microsoft-only properties (avoid using on websites)

> **Note:** These properties will only work in Microsoft applications, and are not on a standards track.

- {{CSSxRef("-ms-accelerator")}}
- {{CSSxRef("-ms-block-progression")}}
- {{CSSxRef("-ms-content-zoom-chaining")}}
- {{CSSxRef("-ms-content-zooming")}}
- {{CSSxRef("-ms-content-zoom-limit")}}
- {{CSSxRef("-ms-content-zoom-limit-max")}}
- {{CSSxRef("-ms-content-zoom-limit-min")}}
- {{CSSxRef("-ms-content-zoom-snap")}}
- {{CSSxRef("-ms-content-zoom-snap-points")}}
- {{CSSxRef("-ms-content-zoom-snap-type")}}
- {{CSSxRef("-ms-filter")}} {{deprecated_inline}}
- {{CSSxRef("-ms-flow-from")}}
- {{CSSxRef("-ms-flow-into")}}
- {{CSSxRef("-ms-high-contrast-adjust")}}
- {{CSSxRef("-ms-hyphenate-limit-chars")}}
- {{CSSxRef("-ms-hyphenate-limit-lines")}}
- {{CSSxRef("-ms-hyphenate-limit-zone")}}
- {{CSSxRef("-ms-ime-align")}}
- {{CSSxRef("-ms-overflow-style")}}
- {{CSSxRef("-ms-scrollbar-3dlight-color")}} {{deprecated_inline}}
- {{CSSxRef("-ms-scrollbar-arrow-color")}} {{deprecated_inline}}
- {{CSSxRef("-ms-scrollbar-base-color")}} {{deprecated_inline}}
- {{CSSxRef("-ms-scrollbar-darkshadow-color")}} {{deprecated_inline}}
- {{CSSxRef("-ms-scrollbar-face-color")}} {{deprecated_inline}}
- {{CSSxRef("-ms-scrollbar-highlight-color")}} {{deprecated_inline}}
- {{CSSxRef("-ms-scrollbar-shadow-color")}} {{deprecated_inline}}
- {{CSSxRef("-ms-scrollbar-track-color")}} {{deprecated_inline}}
- {{CSSxRef("-ms-scroll-chaining")}}
- {{CSSxRef("-ms-scroll-limit")}}
- {{CSSxRef("-ms-scroll-limit-x-max")}}
- {{CSSxRef("-ms-scroll-limit-x-min")}}
- {{CSSxRef("-ms-scroll-limit-y-max")}}
- {{CSSxRef("-ms-scroll-limit-y-min")}}
- {{CSSxRef("-ms-scroll-rails")}}
- {{CSSxRef("-ms-scroll-snap-points-x")}}
- {{CSSxRef("-ms-scroll-snap-points-y")}}
- {{CSSxRef("-ms-scroll-snap-x")}}
- {{CSSxRef("-ms-scroll-snap-y")}}
- {{CSSxRef("-ms-scroll-translation")}}
- {{CSSxRef("-ms-text-autospace")}}
- {{CSSxRef("-ms-touch-select")}}
- {{CSSxRef("-ms-wrap-flow")}}
- {{CSSxRef("-ms-wrap-margin")}}
- {{CSSxRef("-ms-wrap-through")}}
- {{CSSxRef("zoom")}}

## Pseudo-elements

- {{CSSxRef("::file-selector-button","::-ms-browse")}}\*
- {{CSSxRef("::-ms-check")}}
- {{CSSxRef("::-ms-clear")}}
- {{CSSxRef("::-ms-expand")}}
- {{CSSxRef("::-ms-fill")}}
- {{CSSxRef("::-ms-fill-lower")}}
- {{CSSxRef("::-ms-fill-upper")}}
- {{CSSxRef("::-ms-reveal")}}
- {{CSSxRef("::-ms-thumb")}}
- {{CSSxRef("::-ms-ticks-after")}}
- {{CSSxRef("::-ms-ticks-before")}}
- {{CSSxRef("::-ms-tooltip")}}
- {{CSSxRef("::-ms-track")}}
- {{CSSxRef("::-ms-value")}}

\* Now standard.

## Media features

- {{CSSxRef("@media/-ms-high-contrast","-ms-high-contrast")}}

## CSS-related DOM APIs

- {{DOMxRef("msContentZoomFactor")}}
- {{DOMxRef("msGetPropertyEnabled")}}
- {{DOMxRef("msGetRegionContent")}}
- {{DOMxRef("MSRangeCollection")}}
- {{DOMxRef("msRegionOverflow")}}

## See also

- [Mozilla CSS Extensions](/en-US/docs/Web/CSS/Mozilla_Extensions)
- [WebKit CSS Extensions](/en-US/docs/Web/CSS/WebKit_Extensions)
- [Microsoft API Extensions](/en-US/docs/Web/API/Microsoft_API_extensions)
- [Microsoft JavaScript Extensions](/en-US/docs/Web/JavaScript/Microsoft_JavaScript_extensions)
