---
title: 'Link types: preconnect'
slug: Web/HTML/Link_types/preconnect
tags:
  - Attribute
  - HTML
  - Link
  - Link types
  - Reference
browser-compat: html.elements.link.rel.preconnect
---

The **`preconnect`** keyword for the {{HTMLAttrxRef("rel", "link")}} attribute of the {{HTMLElement("link")}} element is a hint to browsers that the user is likely to need resources from the target resource's origin, and therefore the browser can likely improve the user experience by preemptively initiating a connection to that origin.

```html
<link rel="preconnect" href="https://example.com">
```

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}
