---
title: Boolean.prototype.toSource()
slug: Web/JavaScript/Reference/Global_Objects/Boolean/toSource
tags:
  - Boolean
  - Deprecated
  - JavaScript
  - Method
  - Non-standard
  - Deprecated
  - Prototype
browser-compat: javascript.builtins.Boolean.toSource
---
{{JSRef}} {{deprecated_header}}

The **`toSource()`** method returns a string representing the
source code of the object.

## Syntax

```js
toSource()
```

### Return value

A string representing the source code of the object.

## Examples

### Native function

For the built-in {{jsxref("Boolean")}} object, `toSource` returns the
following string indicating that the source code is not available:

```js
function Boolean() {
    [native code]
}
```

## Specifications

Not part of any standard.

## Browser compatibility

{{Compat}}

## See also

- {{jsxref("Object.prototype.toSource()")}}
