---
title: cap-height
slug: Web/SVG/Attribute/cap-height
tags:
  - Deprecated
  - SVG
  - SVG Attribute
browser-compat: svg.elements.font-face.cap-height
---
{{SVGRef}}{{Deprecated_Header}}

The **`cap-height`** attribute defines the height of uppercase glyphs of the font within the font coordinate system.

> **Note:** It was specified to share the syntax and semantics of the obsolete `cap-height` descriptor of the {{cssxref("@font-face")}} at-rule defined in an early version of CSS 2.

You can use this attribute with the following SVG elements:

- {{SVGElement("font-face")}}

## Usage notes

<table class="properties">
  <tbody>
    <tr>
      <th scope="row">Value</th>
      <td>{{cssxref("number")}}</td>
    </tr>
    <tr>
      <th scope="row">Default value</th>
      <td><em>None</em></td>
    </tr>
    <tr>
      <th scope="row">Animatable</th>
      <td>No</td>
    </tr>
  </tbody>
</table>

## Specifications

<table class="no-markdown">
  <thead>
    <tr>
      <th scope="col">Specification</th>
      <th scope="col">Status</th>
      <th scope="col">Comment</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td>
        {{SpecName("SVG1.1", "fonts.html#FontFaceElementCapHeightAttribute", "cap-height")}}
      </td>
      <td>{{Spec2("SVG1.1")}}</td>
      <td>Initial definition</td>
    </tr>
  </tbody>
</table>

## Browser compatibility

{{Compat}}

## See also

- {{SVGAttr("x-height")}}
- {{SVGAttr("accent-height")}}
